# Uses of Class io.dapr.client.DaprClientBuilder (dapr-sdk-parent 1.12.2 API)
use: package: io.dapr.client, class: DaprClientBuilder

# Uses of Class
io.dapr.client.DaprClientBuilder

Packages that use DaprClientBuilder
Package
Description
io.dapr.client

## Uses of DaprClientBuilder in io.dapr.client

Methods in io.dapr.client that return DaprClientBuilder
Modifier and Type
Method
Description
`DaprClientBuilder`
DaprClientBuilder.`withObjectSerializer(DaprObjectSerializer objectSerializer)`
Sets the serializer for objects to be sent and received from Dapr.
`DaprClientBuilder`
DaprClientBuilder.`withResiliencyOptions(ResiliencyOptions options)`
Sets the resiliency options for DaprClient.
`DaprClientBuilder`
DaprClientBuilder.`withStateSerializer(DaprObjectSerializer stateSerializer)`
Sets the serializer for objects to be persisted.